﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1062: (1 year) VER VISA /9100+Opt250
DATE:                  2018-08-13 17:01:33
AUTHOR:                Fluke
REVISION:              $Revision: 25077 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       160
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         60MH                         1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum DUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         DUT IDENTIFICATION
  1.020  MATH         @DUT_Model = "TBS 1062"
  1.021  MATH         @DUT_Manufacturer = "Tektronix"
  1.022  CALL         Sub IEEE-488.2 *IDN? VISA
  1.023  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TBS1000 Specifications

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to review the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  CALL         Sub Tek TBS1000 VER Required Equipment /9100
  1.030  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.031  CALL         Sub Tek TBS1000 Self-Test VISA
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9100+Opt250

  1.039  MATH         @Chan = 1
  1.040  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.041  JMPL         TRIG_CH1

  1.042  LABEL        BANDWIDTH_CH2
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9100+Opt250
  1.045  JMPL         TRIG_CH2

  1.046  LABEL        TRIG_CH1
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250
  1.049  JMPL         SAMPLE_RATE_DELAY_TIME

  1.050  LABEL        TRIG_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9100+Opt250

  1.053  MATH         @Chan = 1
  1.054  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250

  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /9100+Opt250
  1.057  JMPL         VERTICAL_POSITION

  1.058  LABEL        SAMPLE_RATE_DELAY_TIME
  1.059  MATH         @Chan = 1
  1.060  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /9100+Opt250
  1.061  JMPL         BANDWIDTH_CH2

  1.062  LABEL        VERTICAL_POSITION
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.065  MATH         @Chan = 2
  1.066  CALL         Sub Tek TBS1000 (1 yr) Vert Pos VISA /9100

  1.067  LABEL        END

  1.068  IF           @Abort
  1.069  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.070  ENDIF

  1.071  VISA         *RST
  1.072  END
